Skip to content

List runs for a workflow with cursor pagination

GET
/v1/workflows/{key}/runs
curl --request GET \
--url 'https://your-notavia-host/v1/workflows/example/runs?status=pending' \
--header 'Authorization: Bearer <token>'
key
required
string
/^[a-z][a-z0-9_]{0,99}$/

Workflow key — lowercase alphanumeric + underscore, max 100 chars.

status
string
Allowed values: pending running waiting completed failed cancelling cancelled
external_user_id
string

Filter runs whose trigger data contains this external_user_id.

page_token
string

Opaque cursor returned by a previous list response.

Paginated run list returned.

Media type application/json
object
items
required
Array<object>
object
id
required
string format: uuid
workflow_key
required
string
status
required
string
Allowed values: pending running waiting completed failed cancelling cancelled
source
required
string
Allowed values: Production Test
created_at
required
string format: date-time
completed_at
string format: date-time
nullable
next_page_token

Opaque cursor. Pass as page_token query param to retrieve the next page.

string
nullable
Example
{
"items": [
{
"status": "pending",
"source": "Production"
}
]
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Resource not found.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}